import type { NangoYamlParsed, ScriptFileType } from '@nangohq/types';
export declare function compileAllFiles({ debug, fullPath, scriptName, providerConfigKey, type }: {
    debug: boolean;
    fullPath: string;
    scriptName?: string;
    providerConfigKey?: string;
    type?: ScriptFileType;
}): Promise<boolean>;
export declare function compileSingleFile({ fullPath, file, parsed, tsconfig, debug }: {
    fullPath: string;
    file: ListedFile;
    tsconfig?: string;
    parsed: NangoYamlParsed;
    debug: boolean;
}): Promise<boolean>;
export interface ListedFile {
    inputPath: string;
    outputPath: string;
    baseName: string;
}
export declare function getFileToCompile({ fullPath, filePath }: {
    fullPath: string;
    filePath: string;
}): ListedFile;
export declare function resolveTsFileLocation({ fullPath, scriptName, providerConfigKey, type }: {
    fullPath: string;
    scriptName: string;
    providerConfigKey: string;
    type: ScriptFileType;
}): string;
export declare function listFilesToCompile({ fullPath, scriptDirectory, scriptName, parsed, debug }: {
    fullPath: string;
    scriptDirectory?: string | undefined;
    scriptName?: string | undefined;
    parsed: NangoYamlParsed;
    debug?: boolean;
}): ListedFile[];
