import type { ServiceResponse } from '@nangohq/shared';
import type { NangoYamlParser } from '@nangohq/nango-yaml';
export interface ValidationMessage {
    msg: string;
    path?: string;
    code?: string | undefined;
    params?: Record<string, any> | undefined;
}
export declare function parse(fullPath: string, debug?: boolean): ServiceResponse<NangoYamlParser>;
/**
 * Output validation errors to console
 */
export declare function validateAndOutput(yaml: any): boolean;
/**
 * Use AJV to validate a nango.yaml against json schema
 */
export declare function validateYaml(yaml: any): ValidationMessage[];
